<?php

error_reporting(E_ALL);

$start = strtotime('2004-12-04 00:15');
$stop =  strtotime('2005-12-20 00:15');

$g_serv = 'http://catalog.eol.ucar.edu/rico/catalog/ops/goes-12';

for ($i=$start; $i<time(); $i+=30*60) {
  // MSG
  $g_dir = date("Ymd", $i);
  foreach (array('ch3_water_vapor', 'ch1_vis') as $ch) {
    $g_filename = 'ops.goes-12.'.date("YmdHi", $i).".4km_$ch.jpg";
    if (file_exists($g_filename)) { 
      if (filesize($g_filename)<150000) unlink($g_filename);
    }
    if (!file_exists($g_filename)) { 
      echo("fetching wget $g_serv/$g_dir/$g_filename...\n");
     `/opt/local/bin/wget --timeout=60 -c $g_serv/$g_dir/$g_filename`;
    }
  }
}


?>
